#pragma once

namespace FTLib{
	namespace Draw{
		class Anime{
		public:
			enum Type{
				NORMAL,
				LOOP,
				LOOP_CHANGE
			};
			Anime(
				const char* filename,
				int allNum,
				int xNum,
				int yNum,
				int w,
				int h,
				Type type = NORMAL );
			~Anime();

			void next();
			void prev();
			void draw( int x , int y );
			void draw( int x , int y , bool next );
			bool isEnd() const;
		private:
			Type mType;
			int mCount;
			int* mHandle;
		};
	}
}