#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Draw{
		typedef DxLib::VECTOR Vector;
		typedef DxLib::MATRIX Matrix;
		class Camera{
		public:
			void setDirection( Vector pos , Vector target );
			void app();
			Vector position();
			Vector target();
			
			static void create();
			static void destroy();
			static Camera* instance();
		private:
			Camera();
			~Camera();
			Vector mPosition;
			Vector mTarget;
			static Camera* mInstance;
		};
	}
}