#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Draw{
		typedef VECTOR Vector;
		typedef MATRIX Matrix;
		namespace Math{

			Matrix getTranslate( Vector v );
			Matrix getRotateX( float XAxisRotate );
			Matrix getRotateY( float YAxisRotate );
			Matrix getRotateZ( float ZAxisRotate );
			Matrix getRotateAxis( Vector rotateAxis , float rotate );
			Matrix matrixScaling( Matrix sorce , float scale );
			Matrix matrixInverse( Matrix sorce );
			Matrix matrixAdd( Matrix first , Matrix second );
			Matrix matrixMult( Matrix first , Matrix second );

			Vector screenPosToWorldPos( Vector screenPos );
			Vector worldPosToScreenPos( Vector worldPos );

			Vector vectorAdd( Vector first , Vector second );
			Vector vectorSub( Vector first , Vector second );
			Vector vectorCross( Vector& first , Vector& second );
			Vector vectorScale( Vector vector , float scale ); 
			Vector vectorInverse( Vector vector );
			float vectorDot( Vector first , Vector second );
			Vector vectorNormalize( Vector vector );
			Vector getVector( float x , float y , float z );
			Vector transform( Vector vector , Matrix matrix );

			float degeeToRad( float degree );
			float radToDegree( float rad );
			const float Pie_Float = 3.1415926535f;

			bool isHitDotToBox2D(
				Vector dot,
				float top,
				float left,
				float bottom,
				float right );
		}
	}
}