#pragma once

namespace FTLib{
	namespace Draw{
		class Image{
		public:
			Image( const char* filename );
			Image( int softHandle );
			~Image();

			int width() const;
			int height() const;
			void draw( int x , int y ) const;
			void draw(
				int x,
				int y,
				int width,
				int height ) const;
			void rectDraw(
				int x,
				int y,
				int sorceX,
				int sorceY,
				int sorceWidth,
				int sorceHeight ) const;
			void rotateDraw(
				int centerX,
				int centerY,
				float angle ) const;
			void rotateDraw(
				int centerX,
				int centerY,
				float angle,
				float size ) const;
			void drawBillboard( float x , float y , float z );
			void drawBillboard(
				float x,
				float y,
				float z,
				int width,
				int height );
		private:
			int mWidth;
			int mHeight;
			int mHandle;
		};
	}
}