#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Draw{
		typedef VECTOR Vector;
		typedef MATRIX Matrix;
		struct MeshAnimeData{
			int handle;
		};
		class Mesh{
		public:
			Mesh( const char* filename );
			Mesh( Mesh* mesh );
			~Mesh();
			void draw();
			void draw( Matrix mat );
			void setPosition( Vector pos );
			void setScale( Vector scale );
			void setRotate( Vector rotate );
			void setMatrix( Matrix mat );

			//Aj[V
			MeshAnimeData setAnime( int animeIndex );
			void setAnimeTime( MeshAnimeData& data , float time );
			int getAllAnimeTime( MeshAnimeData& data );

			int handle() const;
		private:
			int mHandle;
		};
	}
}