#include "Keyboard.h"
namespace FTLib{
	namespace Input{
		Keyboard::Keyboard() :
		mIndex( 0 ){
			for( int i = 0 ; i < 10 ; ++i ){
				mStates[ i ] = new char[ 256 ];
			}
		}
		Keyboard::~Keyboard(){
			for( int i = 0 ; i < 10 ; ++i ){
				delete[] mStates[ i ];
			}
		}
		void Keyboard::updata(){
			GetHitKeyStateAll( mStates[ mIndex ] );
			++mIndex;
			if( mIndex == 10 ) mIndex = 0;
		}
		bool Keyboard::isOn( Key key ) const{
			int index;
			if( mIndex < 1 ){
				index = 0;
			}else{
				index = mIndex - 1;
			}
			if( mStates[ index ][ key ] ){
				return true;
			}else{
				return false;
			}
		}
		bool Keyboard::isDown( Key key ) const{
			int index1 , index2;
			index1 = mIndex - 2;
			index2 = mIndex - 1;
			if( index1 < 0 ){
				index1 = 10 + index1;
			}
			if( index2 < 0 ){
				index2 += 10;
			}
			if( !mStates[ index1 ][ key ] && ( mStates[ index2 ][ key ] ) ){
				return true;
			}else{
				return false;
			}
		}
	}
}