#pragma once
namespace FTLib{
	namespace Interface{
		template< class T >
		class IFactory{
		public:
			virtual ~IFactory(){}
			T* createInstance( const char* name ){
				return mCreate( name );
			}
		protected:
			virtual T* mCreate( const char* name ) = 0;
		};
	}
}