#pragma once
#include "Std.h"
class Opening : public ISequence{
public:
	Opening(){
		mLogo = shared_ptr< Image >( new Image( "Pict/Opening/Logo.png" ) );
		mCnt = 0;
		mY = 400;
	}
	~Opening(){
	}
	virtual void OnUpdate( IrisBaseGame* mGame , unsigned int elpsedFrame ){
		DrawBox( 0 , 0 , 800 , 600 , GetColor( 255 , 255 , 255 ) , 1 );
		mLogo->draw( ( GAME_WINDOW_WIDTH - mLogo->width() ) / 2 , mY );
		if( mY <= ( GAME_WINDOW_HEIGHT - mLogo->height() ) / 2 ){
			++mCnt;
		}else{
			mY -= 4;
		}
		if( mCnt >= 120 ){
			mGame->SequenceMove( SEQ_MainMenu );
		}
	}
private:
	shared_ptr< Image > mLogo;
	unsigned int mCnt;
	int mY;
};