#include "EnemyActionPattern.h"
#include "Actors.h"
EA_Move::EA_Move( int time , int speed , int angle , bool endless ){
	mType = EAPT_Move;
	mEndTime = time;
	mSpeed = speed;
	mAngle = FTLib::Math::degeeToRad( angle );
	mIsEndless = endless;
}
void EA_Move::VOnUpdate( IActor* enemy){
	Math::Vector Pos =  enemy->VGetPos();
	Pos.x += cosf( mAngle ) * mSpeed;
	Pos.y += sinf( mAngle ) * mSpeed;
	enemy->VSetPos( Pos );
	--mEndTime;
}
EA_Standby::EA_Standby( int time , bool endless ){
	mType = EAPT_Standby;
	mEndTime = time;
	mIsEndless = endless;
}
void EA_Standby::VOnUpdate( IActor* enemy){ --mEndTime; }
EA_Guided::EA_Guided( int time , int speed , bool endless ){
	mType =  EAPT_Guided;
	mEndTime = time;
	mIsEndless = endless;
}
void EA_Guided::VOnUpdate( IActor* enemy){};
EA_Kill::EA_Kill(){
	mType = EAPT_Kill;
	mEndTime = 0;
	mIsEndless;
}
void EA_Kill::VOnUpdate( IActor* enemy){};
