// ColTrees.h (2007.5.13)

// Փ˔pc[NX錾

// C
// 2007. 5. 13
// 2̋ʋԂZo鎞Ƀ[gԍZĂoO
// rI_aɏCB

// 2008. 12. 5
// GetMortonNumber\bhŏԂ̐eԂɂȂĂoOC


// 2009. 2. 7
// X}[g|C^ɂǗ߂izQƖ̂߁j
// RemovePre-Nextڑ̃oOC


#pragma once

#include <windows.h>
#include <set>
//##include "SmartPtr.h"
#include <vector>
#include <list>
#include <map>

using namespace std;


namespace FTLib{
	namespace Algorithm{
		namespace FourTree{
			template <class T>
			class CCell;
			/////////////////////////////////////
			// ؓo^IuWFNg(OFT)
			//////////////////////////////////
			template< class T>
			class OBJECT_FOR_TREE
			{
			public:
				CCell<T> *m_pCell;			// o^
				T *m_pObject;				// ΏۃIuWFNg
				OBJECT_FOR_TREE<T>* m_spPre;	// OOBJECT_FOR_TREE\
				OBJECT_FOR_TREE<T>* m_spNext;	// OBJECT_FOR_TREE\
				int m_id;

			public:
				OBJECT_FOR_TREE( int id = 0 ){
					m_id = id;
					m_pCell = NULL;
					m_pObject = NULL;
					m_spPre = NULL;
					m_spNext = NULL;
				}

				virtual ~OBJECT_FOR_TREE()
				{
				}

			public:
				// 烊XgO
				bool Remove(){
					// łɈEĂ鎞͏I
					if(!m_pCell)
						return false;

					// o^ĂԂɎgʒm
					if(!m_pCell->OnRemove( this ))
						return false;

					// E
					// ÕIuWFNgт
					if(m_spPre != 0)
					{
						m_spPre->m_spNext = m_spNext;
					}
					if(m_spNext != 0)
					{
						m_spNext->m_spPre = m_spPre;
					}
					m_spPre = 0;
					m_spNext = 0;
					m_pCell = NULL;
					return true;
				}

			};


			/////////////////////////////////////
			// Փ˃Xg
			//////////////////////////////////
			#define COLLISIONLIST_REALLOCSIZE	100
			template < class T >
			class CollisionList {
			public:
				CollisionList() : root_( 0 ), pos_( 0 ), mallocSize_( 0 ) {
					root_ = (T**)malloc( 0 );
				}
				~CollisionList() {
					reflesh();
				}

				size_t getSize() {
					return pos_;
				}

				T** getRootPtr() {
					return root_;
				}

				void resetPos() {
					pos_ = 0;
				}

				void wright( T* obj1, T*obj2 ) {
					if ( pos_ >= mallocSize_ ) {
						root_ = (T**)realloc( root_, sizeof (T*) * ( mallocSize_ + COLLISIONLIST_REALLOCSIZE ) );
						mallocSize_ += COLLISIONLIST_REALLOCSIZE;
					}
					root_[ pos_++ ] = obj1;
					root_[ pos_++ ] = obj2;
				}

				void reflesh() {
					if ( root_ ) {
						free( root_ );
					}
				}

			private:
				T**		root_;		// Xg[g|C^
				size_t	pos_;
				size_t	mallocSize_;
			};

			/////////////////////////////////////
			// `4؋ԊǗNX
			//////////////////////////////////
			#define CLINER4TREEMANAGER_MAXLEVEL		9
			template <class T>
			class CLiner4TreeManager
			{
			protected:
				unsigned int m_uiDim;
				CCell<T> **ppCellAry;	// `ԃ|C^z
				unsigned int m_iPow[CLINER4TREEMANAGER_MAXLEVEL+1];	// ׂ搔lz
				float m_fW;		// ̈X
				float m_fH;		// ̈Y
				float m_fLeft;	// ̈̍iXŏlj
				float m_fTop;	// ̈̏㑤iYŏlj
				float m_fUnit_W;		// ŏxԂ̕P
				float m_fUnit_H;		// ŏxԂ̍P
				DWORD m_dwCellNum;		// Ԃ̐
				unsigned int m_uiLevel;			// ŉʃx
				CollisionList< T > m_ColList;	// Փ˃Xg

			public:
				// RXgN^
				CLiner4TreeManager()
				{
					m_uiLevel = 0;
					m_fW = 0.0f;
					m_fH = 0.0f;
					m_fLeft = 0.0f;
					m_fTop = 0.0f;
					m_fUnit_W = 0.0f;
					m_fUnit_H = 0.0f;
					m_dwCellNum = 0;
					ppCellAry = NULL;
					m_uiDim = 0;

					// exł̋ԐZo
					int i;
					m_iPow[0] = 1;
					for(i=1;i<CLINER4TREEMANAGER_MAXLEVEL+1;i++)
						m_iPow[i] = m_iPow[i-1]*4;
				}

				// fXgN^
				virtual ~CLiner4TreeManager()
				{
					DWORD i;
					for(i=0; i<m_dwCellNum; i++){
						if(ppCellAry[i]!=NULL)
							delete ppCellAry[i];
					}
					delete[] ppCellAry;
				}

				// `4ؔz\z
				bool Init( unsigned int Level, float left, float top, float right, float bottom )
				{
					// ݒōxȏ̋Ԃ͍Ȃ
					if(Level>=CLINER4TREEMANAGER_MAXLEVEL)
						return false;

					// Levelxi0_j̔z쐬
					m_dwCellNum = (m_iPow[Level+1]-1)/3;
					ppCellAry = new CCell<T>*[m_dwCellNum];
					ZeroMemory( ppCellAry, sizeof(CCell<T>*)*m_dwCellNum );

					// ̈o^
					m_fLeft = left;
					m_fTop = top;
					m_fW = right - left;
					m_fH = bottom - top;
					m_fUnit_W = m_fW/(1<<Level);
					m_fUnit_H = m_fH/(1<<Level);

					m_uiLevel = Level;

					return true;
				}

				// IuWFNgo^
				bool Regist( float left, float top, float right, float bottom, OBJECT_FOR_TREE<T> *spOFT )
				{
					// IuWFNg̋E͈͂o^[gԍZo
					DWORD Elem = GetMortonNumber( left, top, right, bottom );
					if(Elem < m_dwCellNum ){
						// Ԃꍇ͐VK쐬
						if( !ppCellAry[Elem] )
							CreateNewCell(Elem);
						return ppCellAry[Elem]->Push(spOFT);
					}
					return false;	// o^s
				}

				// Փ˔胊Xg쐬
				DWORD GetAllCollisionList( CollisionList<T>** colList )
				{
					// Xgizj͕K܂
					m_ColList.resetPos();

					// [gԂ݂̑`FbN
					if( ppCellAry[0] == NULL )
						return 0;	// Ԃ݂ĂȂ

					// [gԂ
					list<T*> ColStac;
					GetCollisionList( 0, ColStac );

					*colList = &m_ColList;

					return (DWORD)m_ColList.getSize();
				}



			protected:

				// ԓŏՓ˃Xg쐬
				bool GetCollisionList( DWORD Elem, list<T*> &ColStac )
				{
					list<T*>::iterator it;
					// @ ԓ̃IuWFNgm̏Փ˃Xg쐬
					OBJECT_FOR_TREE<T>* spOFT1 = ppCellAry[Elem]->GetFirstObj();
					while( spOFT1 != 0 )
					{
						OBJECT_FOR_TREE<T>* spOFT2 = spOFT1->m_spNext;
						while( spOFT2 != 0 ){
							m_ColList.wright( spOFT1->m_pObject, spOFT2->m_pObject );
							spOFT2 = spOFT2->m_spNext;
						}
						// A Փ˃X^bNƂ̏Փ˃Xg쐬
						for( it = ColStac.begin(); it != ColStac.end(); it++ ){
							m_ColList.wright( spOFT1->m_pObject, *it );
						}
						spOFT1 = spOFT1->m_spNext;
					}

					bool ChildFlag = false;
					// B qԂɈړ
					DWORD ObjNum = 0;
					DWORD i, NextElem;
					for(i=0; i<4; i++){ 
						NextElem = Elem*4+1+i;
						if( NextElem<m_dwCellNum && ppCellAry[Elem*4+1+i] ){
							if(!ChildFlag){
								// C o^IuWFNgX^bNɒǉ
								spOFT1 = ppCellAry[Elem]->GetFirstObj();
								while( spOFT1 != 0 ){
									ColStac.push_back( spOFT1->m_pObject );
									ObjNum++;
									spOFT1 = spOFT1->m_spNext;
								}
							}
							ChildFlag = true;
							GetCollisionList( Elem*4+1+i, ColStac );	// qԂ
						}
					}

					// D X^bNIuWFNgO
					if( ChildFlag ){
						for(i=0; i<ObjNum; i++)
							ColStac.pop_back();
					}

					return true;
				}


				// Ԃ𐶐
				bool CreateNewCell( DWORD Elem )
				{
					// ̗vfԍ
					while( !ppCellAry[Elem] )
					{
						// w̗vfԍɋԂVK쐬
						ppCellAry[Elem] = new CCell<T>;

						// eԂɃWv
						Elem = (Elem-1)>>2;
						if(Elem>=m_dwCellNum) break;
					}
					return true;
				}

				// WԔԍZo
				DWORD GetMortonNumber( float left, float top, float right, float bottom )
				{
					// ŏxɂeʒuZo
					DWORD LT = GetPointElem(left, top);
					DWORD RB = GetPointElem(right, bottom );

					// Ԕԍ̔rI_a
					// xZo
					DWORD Def = RB ^ LT;
					unsigned int HiLevel = 0;
					unsigned int i;
					for(i=0; i<m_uiLevel; i++)
					{
						DWORD Check = (Def>>(i*2)) & 0x3;
						if( Check != 0 )
							HiLevel = i+1;
					}
					DWORD SpaceNum = RB>>(HiLevel*2);
					DWORD AddNum = (m_iPow[m_uiLevel-HiLevel]-1)/3;
					SpaceNum += AddNum;

					if(SpaceNum > m_dwCellNum)
						return 0xffffffff;

					return SpaceNum;
				}

				// rbg֐
				DWORD BitSeparate32( DWORD n )
				{
					n = (n|(n<<8)) & 0x00ff00ff;
					n = (n|(n<<4)) & 0x0f0f0f0f;
					n = (n|(n<<2)) & 0x33333333;
					return (n|(n<<1)) & 0x55555555;
				}

				// 2D[gԔԍZo֐
				WORD Get2DMortonNumber( WORD x, WORD y )
				{
					return (WORD)(BitSeparate32(x) | (BitSeparate32(y)<<1));
				}

				// W`4ؗvfԍϊ֐
				DWORD GetPointElem( float pos_x, float pos_y )
				{
					return Get2DMortonNumber( (WORD)((pos_x-m_fLeft)/m_fUnit_W), (WORD)((pos_y-m_fTop)/m_fUnit_H) );
				}
			};


			/////////////////////////////////////
			// ԃNX
			//////////////////////////////////
			template <class T>
			class CCell
			{
			protected:
				OBJECT_FOR_TREE<T>* m_spLatest;	// ŐVOFLւ̃X}[g|C^

			public:
				// RXgN^
				CCell() : m_spLatest( 0 )
				{
				}

				// fXgN^
				virtual ~CCell()
				{
					if( m_spLatest != NULL )
						ResetLink( m_spLatest );
				}

				// NSăZbg
				void ResetLink( OBJECT_FOR_TREE<T> *spOFT )
				{
					if( spOFT->m_spNext != 0 ) {
						ResetLink( spOFT->m_spNext );
					}
					spOFT = 0;
				}

				// OFTvbV
				bool Push( OBJECT_FOR_TREE<T> *spOFT )
				{
					if( spOFT == 0 ) return false;	// IuWFNg͓o^Ȃ
					if( spOFT->m_pCell == this ) return false;	// 2do^`FbN
					if( m_spLatest == 0 ){
						m_spLatest = spOFT;	// ԂɐVKo^
					}
					else
					{
						// ŐVOFTIuWFNgXV
						spOFT->m_spNext = m_spLatest;
						m_spLatest->m_spPre = spOFT;
						m_spLatest = spOFT;
					}
					spOFT->m_pCell = this;	// Ԃo^
					return true;
				}

				OBJECT_FOR_TREE<T> *GetFirstObj()
				{
					return m_spLatest;
				}

				// 폜IuWFNg`FbN
				bool OnRemove( OBJECT_FOR_TREE<T> *pRemoveObj )
				{
					if( m_spLatest == pRemoveObj ){
						// ̃IuWFNgɑ}ւ
						if( m_spLatest != NULL )
							m_spLatest = m_spLatest->m_spNext;
					}
					return true;
				}
			};
		}
	}
}  // end namespace IKD