#include "CSVWriter.h"
#include <stdio.h>
#include <windows.h>
namespace FTLib{
	namespace Common{
		CSVWriter::CSVWriter(){
		}
		CSVWriter::~CSVWriter(){
		}
		void CSVWriter::write( const char* filename ){
			std::ofstream File( filename , std::ios_base::out );
			std::vector< std::vector< std::string > >::iterator yItr = mData.begin();
			for( yItr ; yItr != mData.end() ; yItr++ ){
				std::vector< std::string >::iterator xItr = ( *yItr ).begin();
				for( xItr ; xItr != ( *yItr ).end() ; xItr++ ){
					File << ( *xItr ).c_str() << ",";
				}
				File << std::endl;
			}
			File.close();
		}
		void CSVWriter::setIntData( int x , int y , int obj ){
			char buf[ 32 ];
			sprintf( buf , "%d" , obj );
			setStrData( x , y , buf );
		}
		void CSVWriter::setStrData( int x , int y , std::string obj ){
			while( mData.size() < y + 1 ){
				mData.push_back( std::vector< std::string >() );
			}
			while( mData[ y ].size() < x + 1 ){
				mData[ y ].push_back( "" );
			}
			mData[ y ][ x ] = obj;
		}
		void CSVWriter::reset(){
			mData.clear();
		}
	}
}