#include "Camera.h"

namespace FTLib{
	namespace Draw{
		void Camera::setDirection( Vector pos , Vector target ){
			mPosition = pos;
			mTarget = target;
		}
		void Camera::app(){
			SetCameraPositionAndTarget_UpVecY( mPosition , mTarget );
		}
		Vector Camera::position(){
			return mPosition;
		}
		Vector Camera::target(){
			return mTarget;
		}

		void Camera::create(){
			if( !mInstance ){
				mInstance = new Camera();
			}
		}
		void Camera::destroy(){
			if( mInstance ){
				delete mInstance;
				mInstance = 0;
			}
		}
		Camera* Camera::instance(){
			return mInstance;
		}
		Camera::Camera(){
			mPosition = VGet( 320.0f , 240.0f , 0.0f );
			mTarget = VGet( 320.0f , 240.0f , 1.0f );
		}
		Camera::~Camera(){
		}
		Camera* Camera::mInstance = 0;
	}
}