#include "Math.h"
namespace FTLib{
	namespace Draw{
		namespace Math{
			Matrix getTranslate( Vector v ){
				return MGetTranslate( v );
			}
			Matrix getRotateX( float XAxisRotate ){
				return MGetRotX( XAxisRotate );
			}
			Matrix getRotateY( float YAxisRotate ){
				return MGetRotY( YAxisRotate );
			}
			Matrix getRotateZ( float ZAxisRotate ){
				return MGetRotZ( ZAxisRotate );
			}
			Matrix getRotateAxis( Vector rotateAxis , float rotate ){
				return MGetRotAxis( rotateAxis , rotate );
			}
			Matrix matrixScaling( Matrix sorce , float scale ){
				return MScale( sorce , scale );
			}
			Matrix matrixInverse( Matrix sorce ){
				return MInverse( sorce );
			}
			Matrix matrixAdd( Matrix first , Matrix second ){
				return MAdd( first , second );
			}
			Matrix matrixMult( Matrix first , Matrix second ){
				return MMult( first , second );
			}
			Vector screenPosToWorldPos( Vector screenPos ){
				return ConvScreenPosToWorldPos( screenPos );
			}
			Vector worldPosToScreenPos( Vector worldPos ){
				return ConvWorldPosToScreenPos( worldPos );
			}
			Vector vectorAdd( Vector first , Vector second ){
				return VAdd( first , second );
			}
			Vector vectorSub( Vector first , Vector second ){
				return VSub( first , second );
			}
			Vector vectorCross( Vector& first , Vector& second ){
				return VCross( first , second );
			}
			Vector vectorScale( Vector vector , float scale ){
				return VScale( vector , scale );
			}
			Vector vectorInverse( Vector vector ){
				vector.x *= -1;
				vector.y *= -1;
				vector.z *= -1;
				return vector;
			}
			float vectorDot( Vector first , Vector second ){
				return VDot( first , second );
			}
			Vector vectorNormalize( Vector vector ){
				return VNorm( vector );
			}
			Vector getVector( float x , float y , float z ){
				return VGet( x , y , z );
			}
			Vector transform( Vector vector , Matrix matrix ){
				return VTransform( vector , matrix );
			}

			float degeeToRad( float degree ){
				return ( degree * Pie_Float / 180 );
			}
			float radToDegree( float rad ){
				return ( rad * 180 / Pie_Float );
			}
			bool isHitDotToBox2D(
				Vector dot,
				float top,
				float left,
				float bottom,
				float right ){
					if( top < dot.y &&
						bottom > dot.y &&
						left < dot.x &&
						right > dot.x ){
							return true;
					}else{
						return false;
					}
			}
		}
	}
}