#include "Polygon.h"
#include "../Common/Color.h"
namespace FTLib{
	namespace Draw{
		namespace Debug{
			void drawLine3D( Vector pos1 , Vector pos2 , Common::Color color ){
				DrawLine3D( pos1 , pos2 , GetColor( color.red , color.green , color.blue ) );
			}
			void drawTriangle3D( Vector pos1 , Vector pos2 , Vector pos3 , Common::Color color ){
				DrawTriangle3D( pos1 , pos2 , pos3 , GetColor( color.red , color.green , color.blue ) , true );
			}
			void drawSphere3D( Vector centerPos , float r , Common::Color color ){
				DrawSphere3D(
					centerPos,
					r,
					32,
					GetColor( color.red , color.green , color.blue ) ,
					GetColor( color.red , color.green , color.blue ),
					true );
			}
			void drawSquare3D( Vector lefttop , Vector leftbottom , Vector righttop , Vector rightbottom , Common::Color color ){
				drawTriangle3D( lefttop , leftbottom , righttop , color );
				drawTriangle3D( leftbottom , righttop , rightbottom , color );
			}
		}
	}
}