#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Common{
		struct Color;
	}
	namespace Draw{
		typedef VECTOR Vector;
		namespace Debug{
			void drawLine3D( Vector pos1 , Vector pos2 , Common::Color color );
			void drawTriangle3D( Vector pos1 , Vector pos2 , Vector pos3 , Common::Color color );
			void drawSphere3D( Vector centerPos , float r , Common::Color color );
			void drawSquare3D( Vector lefttop , Vector leftbottom , Vector righttop , Vector rightbottom , Common::Color color );
		}
	}
}