#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Draw{
		class Font{
		public:
			enum Type{
				NORMAL = DX_FONTTYPE_NORMAL,
				AA = DX_FONTTYPE_ANTIALIASING,
				AA_EDGE = DX_FONTTYPE_ANTIALIASING_EDGE
			};
			Font();
			Font( const char* fontname );
			Font( const char* fontname , int size );
			Font( const char* fontname , int size , Type type );
			~Font();
			
			void draw(
				const char* text,
				int x,
				int y,
				int red,
				int green,
				int blue );
			void draw(
				const char* text,
				int x,
				int y,
				int red,
				int green,
				int blue ,
				int edge_red,
				int edge_green,
				int edge_blue );
			void centeringDraw(
				const char* text,
				int x,
				int y,
				int red,
				int green,
				int blue );
			void centeringDraw(
				const char* text,
				int x,
				int y,
				int red,
				int green,
				int blue,
				int edge_red,
				int edge_green,
				int edge_blue );
			void rectDraw(
				const char* text,
				int x,
				int y,
				int width,
				int height,
				int red,
				int green,
				int blue,
				int edge_red,
				int edge_green,
				int edge_blue );
		private:

			int mHandle;
		};
	}
}