#pragma once
#include <vector>
namespace FTLib{
	namespace Input{
		class Pad;
		class Mouse;
		class Keyboard;
		class Manager{
		public:
			void init();
			void updata();
			int joypadNum() const;
			Pad* getPad( int n ) const;
			Mouse* getMouse() const;
			Keyboard* getKeyboard()const;

			static void create();
			static void destroy();
			static Manager* instance();
		private:
			std::vector< Pad* >* mPads;
			Mouse* mMouse;
			Keyboard* mKeyboard;

			Manager();
			~Manager();
			static Manager* mInstance;
		};
	}
}