#pragma once
#include <boost/circular_buffer.hpp>
#include <DxLib.h>
namespace FTLib{
	namespace Draw{
		typedef VECTOR Vector;
	}
	using namespace FTLib::Draw;
	namespace Input{
		class Mouse{
		public:
			enum Button{
				BUT_LEFT = MOUSE_INPUT_LEFT,
				BUT_RIGHT = MOUSE_INPUT_RIGHT,
				BUT_MIDDLE = MOUSE_INPUT_MIDDLE
			};
			Mouse();
			~Mouse();
			void updata();
			Vector getPos();
			void setPos( Vector pos );
			bool isOn( Button b );
			bool isDown( Button b );
			bool isDownDouble( Button b );
		private:
			boost::circular_buffer< int >* mButtonStates;
			Vector mPos;
		};
	}
}