#include "Sound.h"
namespace FTLib{
	namespace Music{
		Sound::Sound( const char* filename ){
			mHandle = LoadSoundMem( filename );
		}
		Sound::Sound( const int handle ){
			mHandle = DuplicateSoundMem( handle );
		}
		Sound::~Sound(){
			DeleteSoundMem( mHandle );
		}
		bool Sound::isPlay(){
			return ( bool )CheckSoundMem( mHandle );
		}
		void Sound::play( Type type , bool top ){
			PlaySoundMem( mHandle , ( int )type , ( int )top );
		}
		void Sound::stop(){
			StopSoundMem( mHandle );
		}
		void Sound::setVolume( int volume ){
			ChangeVolumeSoundMem( volume ,  mHandle );
		}
		void Sound::setFreq( int frequency ){
			SetFrequencySoundMem( frequency , mHandle );
		}
		void Sound::setLoop( int begin ){
			SetLoopPosSoundMem( begin , mHandle );
		}
		int Sound::handle() const{
			return mHandle;
		}
	}
}