#pragma once
#include <DxLib.h>
namespace FTLib{
	namespace Music{
		class Sound{
		public:
			enum Type{
				NORMAL = DX_PLAYTYPE_NORMAL,
				BACK = DX_PLAYTYPE_BACK,
				LOOP = DX_PLAYTYPE_LOOP
			};
			Sound( const char* filename );
			Sound( const int handle );
			~Sound();
			bool isPlay();
			void play( Type type , bool top = true );
			void stop();
			void setVolume( int volume );
			void setFreq( int frequency );
			void setLoop( int begin );
			int handle() const;
		private:
			int mHandle;
		};
	}
}